apiVersion: apps/v1
kind: Deployment
metadata:
  name: centralizedattackdetectorservice
spec:
  selector:
    matchLabels:
      app: centralizedattackdetectorservice
  template:
    metadata:
      labels:
        app: centralizedattackdetectorservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: registry.gitlab.com/teraflow-h2020/controller/centralizedattackdetector:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 10001
        env:
        - name: LOG_LEVEL
          value: "DEBUG"
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:10001"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:10001"]
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: centralizedattackdetectorservice
spec:
  type: ClusterIP
  selector:
    app: centralizedattackdetectorservice
  ports:
  - name: grpc
    port: 10001
    targetPort: 10001
